<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 https://maven.apache.org/xsd/maven-4.0.0.xsd">
  <modelVersion>4.0.0</modelVersion>
  <parent>
    <groupId>cn.sam</groupId>
    <artifactId>SamService</artifactId>
    <version>1.0-SNAPSHOT</version>
  </parent>
  <artifactId>SamLims-report</artifactId>
  <packaging>jar</packaging>
  	
  <dependencies>
       <dependency>
            <groupId>cn.sam</groupId>
            <artifactId>SamLims-common</artifactId>
       </dependency>
       <dependency>
            <groupId>cn.sam</groupId>
            <artifactId>SamLims-orm</artifactId>
       </dependency>
     
        <dependency>
			<groupId>com.google.code.gson</groupId>
			<artifactId>gson</artifactId>
		</dependency>
		<dependency>
			<groupId>org.danilopianini</groupId>
			<artifactId>gson-extras</artifactId>
			<version>${gson-extras.version}</version>
		</dependency>
		<dependency>
			<groupId>net.jodah</groupId>
			<artifactId>typetools</artifactId>
			<version>${typetools.version}</version>
		</dependency>
		
      <dependency>
			<groupId>org.projectlombok</groupId>
			<artifactId>lombok</artifactId>
			<scope>provided</scope>
	   </dependency>
       <dependency>
			<groupId>org.apache.xmlgraphics</groupId>
			<artifactId>batik-codec</artifactId>
			<version>${batik.version}</version>
			<!-- java.xml more than one module -->
			<exclusions> 
		        <exclusion>
		            <groupId>xml-apis</groupId>
		            <artifactId>xml-apis</artifactId>
		        </exclusion>
		        <exclusion>
		            <groupId>xalan</groupId>
    				<artifactId>xalan</artifactId>
		        </exclusion>
		    </exclusions>
		</dependency>	
		
		<!-- easyexcel source code -->
        <dependency>
            <groupId>org.ehcache</groupId>
            <artifactId>ehcache</artifactId>
        </dependency>
	    <dependency>
            <groupId>org.apache.commons</groupId>
            <artifactId>commons-csv</artifactId>
            <version>${commons-csv.version}</version>
        </dependency>
		<dependency>
			<groupId>org.commonmark</groupId>
			<artifactId>commonmark</artifactId>
			<version>${commonmark.version}</version>
		</dependency>
		<dependency>
			<groupId>org.commonmark</groupId>
			<artifactId>commonmark-ext-gfm-tables</artifactId>
			<version>${commonmark.version}</version>
		</dependency>
		<dependency>
			<groupId>com.itextpdf</groupId>
			<artifactId>barcodes</artifactId>
			<version>${itextpdf.version}</version>
		</dependency>		
	   <dependency>
			<groupId>com.itextpdf</groupId>
			<artifactId>sign</artifactId>
			<version>${itextpdf.version}</version>
		</dependency>
		
	    <!-- pdfconverter -->
	    <dependency>
		    <groupId>org.jodconverter</groupId>
		    <artifactId>jodconverter-core</artifactId>
		    <version>${jodconverter.version}</version>
		</dependency>
	    <dependency>
	        <groupId>org.jodconverter</groupId>
	        <artifactId>jodconverter-local</artifactId>
	        <version>${jodconverter.version}</version>
	    </dependency> 
	</dependencies>	
	
</project>